Convert to polycurve without NURBS

Hello,
in Rhinoceros 5 I used
s = ‘_Convert _OutPut=Arcs (…)’
rs.Command(s)
In Rhinoceros 6 command “Convert” has been removed. I see " SimplifyCurve" in documentation, but sometimes as far as I understand it produces NURBS curves. Can I somehow get only line and arcs in output (polycurve object) in Rhinoceros 6?
Thank you in advance, D.

@dmitrey15 you can still find _Convert in Rhino 6:
https://docs.mcneel.com/rhino/6/help/en-us/index.htm#commands/convert.htm?Highlight=convert

Well, thank you. Still another problem remains: sometimes produced objects are not polycurves, e.g for rectangle 1 x 1 with directions along axis.

I read the documentation entry for Convert mentioned above by David, and some question still remain:

  1. The documentation entry for “Simplify input” is not quite clear (maybe for non-English speaking people), I think it worth be explained more precizely.
  2. How does rhinoceros command “Convert” relates to python rhinoscriptsyntax “simplifycurve”? is it a full equivalent, or partially equivalent, or something else?
  3. I use rhinoscriptsyntax simplifycurve with parameter 32, trying to prevent casting into polylines, but sometimes polylines still occure. Example:

import rhinoscriptsyntax as rs
curve_id = rs.AddRectangle(rs.WorldXYPlane(), 10,20)
r=rs.SimplifyCurve (curve_id, 32)
print r, rs.IsPolyline(curve_id)

prints False (failure), True (curve is polyline)
Can I somehow prevent casting objectsto polyline? or somehow convert polylines to polycurves? polycurves are deeply integrated into code I deal with, written by other programmers, and it’s difficult to accompany polycurves handling with polylines handling through all amount of the code.
Thank you in advance, D.

SimplifyInput will run SimplifyCrv on the input curves before converting. See the Help item on SimplifyCrv for what it does.

https://docs.mcneel.com/rhino/6/help/en-us/index.htm#commands/simplifycrv.htm?Highlight=simplifycrv

There’s also the RhinoCommon doc:
https://developer.rhino3d.com/api/RhinoCommon/html/M_Rhino_Geometry_Curve_Simplify.htm
https://developer.rhino3d.com/api/RhinoCommon/html/T_Rhino_Geometry_CurveSimplifyOptions.htm

Something else. Convert actively converts any curve into a series of line or arc segments. SimplifyCrv only tries to simplfy an existing curve that might contain near-arc or near-line segments (within tolerance) so that those segments are actually arcs/lines.

It will be difficult. Polycurves are joined curve segments. It is possible to have a polycurve that is the equivalent of a polyline (all straight segments) - created by joining two polylines for example. But SimplifyCrv will make it back into a polyline. You might be able to engineer some combination of options in RhinoCommon to stop it from happening, but my feeling is if your code routinely gets polylines thrown at it and it can’t handle them in polyline form, then the code probably needs to be re-written. My 2¢ anyway…